Get Cost Rate Time Costs ------------------------ Retrieve all time cost intervals for a given cost rate within the current mandant. **Request** - Method: ``GET`` - Path: ``/api/dynamic_pricing/cost_rate_time_costs/{cost_rate_uuid}`` **Path parameters** .. list-table:: :widths: 20 15 65 :header-rows: 1 * - Name - Type - Description * - cost_rate_uuid - string - UUID of the cost rate to retrieve time costs for. **Query parameters** Optional: .. list-table:: :widths: 20 15 65 :header-rows: 1 * - Name - Type - Description * - cost_rate_schedule_uuid - string - UUID of the cost rate schedule. **Example request** .. code-block:: bash curl --location --request GET 'https://example.beenergised.cloud/api/dynamic_pricing/cost_rate_time_costs/?cost_rate_schedule_uuid=' \ --header 'x-api-token: ' **Response (200)** .. code-block:: json { "data": [ { "uuid": "", "unit": 60, "price": 2.5 } ] } **Error responses** - ``404``: Cost rate or schedule not found. .. code-block:: json { "status": "error", "message": "Cost rate not found" } *OR* .. code-block:: json { "status": "error", "message": "Cost rate schedule not found" } - ``500``: Generic server error. .. code-block:: json { "status": "error", "message": "Internal Server Error" }